Payouts & Wallet
Get Payout Requests History
Get the history of payout requests for a Fansly account.
This endpoint gets the history of payout requests made for a specific account.
https://v1.apifansly.com
GET
/api/fansly/{account_id}/payout/history
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X GET "https://v1.apifansly.com/api/fansly/{account_id}/payout/history?before=1768901153112&after=1735686000000&limit=20&offset=0" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{account_id}/payout/history?before=1768901153112&after=1735686000000&limit=20&offset=0", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/payout/history?before=1768901153112&after=1735686000000&limit=20&offset=0"
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/payout/history?before=1768901153112&after=1735686000000&limit=20&offset=0"))
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{account_id}/payout/history?before=1768901153112&after=1735686000000&limit=20&offset=0");
Console.WriteLine(responseString);package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/payout/history?before=1768901153112&after=1735686000000&limit=20&offset=0"
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Variables
account_id*
stringThe unique identifier for the account.
before ?
numberFilters results to include payout requests before this Unix timestamp (ms).
after ?
numberFilters results to include payout requests after this Unix timestamp (ms).
limit*
numberMaximum number of payout requests to return per page. default 10
offset*
numberNumber of payout requests to skip for pagination. default 0
You can optionally filter and paginate your timeline by providing query parameters:
- before: A Unix timestamp (in milliseconds). Returns history before this date.
- after: A Unix timestamp (in milliseconds). Returns history after this date.
- limit: Number of results to return.
- offset: Number of results to skip (useful for pagination).
Response
Success Response (200 OK)
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"total": 1,
"data": [
{
"id": "880115xxxxxxxxxxxx",
"accountId": "8342xxxxxxxxxxxx",
"amount": 44400,
"payoutMethodId": "8765xxxxxxxxxxxx",
"status": 2,
"version": 1,
"createdAt": 1771330216000,
"updatedAt": 1771330276000
}
]
}
}
},
"timestamp": "2026-02-17T12:22:53.354Z"
}